<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>StatsTrack.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Code Coverage for Zookeeper manuall provided Classes</a> &gt; <a href="index.source.html" class="el_package">org.apache.zookeeper</a> &gt; <span class="el_source">StatsTrack.java</span></div><h1>StatsTrack.java</h1><pre class="source lang-java linenums">/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * &quot;License&quot;); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.zookeeper;

/**
 * a class that represents the stats associated with quotas
 */
public class StatsTrack {
    private int count;
    private long bytes;
<span class="fc" id="L27">    private String countStr = &quot;count&quot;;</span>
<span class="fc" id="L28">    private String byteStr = &quot;bytes&quot;;</span>

    /**
     * a default constructor for
     * stats
     */
    public StatsTrack() {
<span class="fc" id="L35">        this(null);</span>
<span class="fc" id="L36">    }</span>
    /**
     * the stat string should be of the form count=int,bytes=long
     * if stats is called with null the count and bytes are initialized
     * to -1.
     * @param stats the stat string to be intialized with
     */
<span class="fc" id="L43">    public StatsTrack(String stats) {</span>
<span class="fc bfc" id="L44" title="All 2 branches covered.">        if (stats == null) {</span>
<span class="fc" id="L45">            stats = &quot;count=-1,bytes=-1&quot;;</span>
        }
<span class="fc" id="L47">        String[] split = stats.split(&quot;,&quot;);</span>
<span class="pc bpc" id="L48" title="1 of 2 branches missed.">        if (split.length != 2) {</span>
<span class="nc" id="L49">            throw new IllegalArgumentException(&quot;invalid string &quot; + stats);</span>
        }
<span class="fc" id="L51">        count = Integer.parseInt(split[0].split(&quot;=&quot;)[1]);</span>
<span class="fc" id="L52">        bytes = Long.parseLong(split[1].split(&quot;=&quot;)[1]);</span>
<span class="fc" id="L53">    }</span>


    /**
     * get the count of nodes allowed as part of quota
     *
     * @return the count as part of this string
     */
    public int getCount() {
<span class="fc" id="L62">        return this.count;</span>
    }

    /**
     * set the count for this stat tracker.
     *
     * @param count
     *            the count to set with
     */
    public void setCount(int count) {
<span class="fc" id="L72">        this.count = count;</span>
<span class="fc" id="L73">    }</span>

    /**
     * get the count of bytes allowed as part of quota
     *
     * @return the bytes as part of this string
     */
    public long getBytes() {
<span class="fc" id="L81">        return this.bytes;</span>
    }

    /**
     * set teh bytes for this stat tracker.
     *
     * @param bytes
     *            the bytes to set with
     */
    public void setBytes(long bytes) {
<span class="fc" id="L91">        this.bytes = bytes;</span>
<span class="fc" id="L92">    }</span>

    @Override
    /*
     * returns the string that maps to this stat tracking.
     */
    public String toString() {
<span class="fc" id="L99">        return countStr + &quot;=&quot; + count + &quot;,&quot; + byteStr + &quot;=&quot; + bytes;</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.eclemma.org/jacoco">JaCoCo</a> 0.7.7.201606060606</span></div></body></html>